#!/bin/sh
TARFILE="$1"; shift
ARGS=''

INSTALL_SCRIPT='bin/install.pike'

while [ $# != 0 ]
do
    case "$1" in
              -v|\
       --version) echo "Pike v7.8 release 700 Copyright (C) 1994-2012 IDA, Linkping University
Pike comes with ABSOLUTELY NO WARRANTY; This is free software and you
are welcome to redistribute it under certain conditions; Read the
files COPYING and COPYRIGHT in the Pike distribution for more details.
";
		  rm -f PtmPe912361.x
                  exit 0 ;;

              -h|\
          --help) echo "Usage: $TARFILE [options] [variables]

Options:
  -h, --help            Display this help and exit.
  -v, --version         Display version information and exit.
  --features            Display features and exit.
  --interactive         Interactive installation (default).
  --new-style           Install in <prefix>/pike/<ver>/{lib,include,bin}.
  --traditional         Install in <prefix>/{lib/pike,include/pike,bin}.

Variables:
  prefix=<path>         Install pike files here (/usr/local).
  pike_name=<path>      Create a symlink to pike here (<prefix>/bin/pike).
"
		  rm -f PtmPe912361.x
                  exit 0 ;;

      --features) echo "auto_bignum
dynamic_modules
threads
out-of-band_data
double_precision_float
Bz2
GL
GLUT
GSSAPI
Gmp
Gz
HTTPAccept
Image.FreeType
Image.GIF
Image.PNG
Image.TIFF
Kerberos
MIME
Nettle
Odbc
PGsql
Protocols.DNS_SD
SQLite
Standards.JSON
WhiteFish
Yp"
		  rm -f PtmPe912361.x
                  exit 0 ;;

    --list-files) tar xf "$TARFILE" PtmPe912361.tar.gz
                  tar tfz PtmPe912361.tar.gz
                  rm -f PtmPe912361.x PtmPe912361.tar.gz
                  exit 0 ;;

              -s|\
        --script) shift
                  INSTALL_SCRIPT="$1" ;;

               *) ARGS="$ARGS '`echo \"$1\" | sed -e \"s/'/'\\\"'\\\"'/g\"`'" ;;
    esac
    shift
done
echo "   Loading installation script, please wait..."
tar xf "$TARFILE" PtmPe912361.tar.gz
gzip -dc PtmPe912361.tar.gz | tar xf -
rm -rf PtmPe912361.tar.gz
( cd 'Pike-v7.8.700-Darwin-10.8.0-i386.dir'
  eval "build/pike -mmaster.pike -DNOT_INSTALLED \"$INSTALL_SCRIPT\" \
  TMP_LIBDIR=\"build/lib\"\
  LIBDIR_SRC=\"lib\"\
  SRCDIR=\"src\"\
  TMP_BINDIR=\"bin\"\
  TMP_BUILDDIR=\"build\"\
  MANDIR_SRC=\"share/man\"\
  DOCDIR_SRC=\"refdoc\"\
  PIKE_MODULE_RELOC=\"\"\
  $ARGS"
)
rm -rf 'Pike-v7.8.700-Darwin-10.8.0-i386.dir' PtmPe912361.x
